#!/bin/bash

#Убиваем все что осталось с прошлого раза
[ -d /pki ] && rm -rf /pki
[ -f /var/lib/acme-dns/acme-dns.db ] && rm -f /var/lib/acme-dns/acme-dns.db

GIT_SSH_COMMAND='ssh -i /tmp/keyfile -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no' git clone ${git_url}

if [ $? == '0' ];then
# Производим рестор БД    
    zcat /pki/iru/wild/infoclinica.ru.dump.gz | sqlite3 /var/lib/acme-dns/acme-dns.db
else
    echo "Cannot git clone the ${git_url}"; exit 1
fi

exec "$@"
